-- 基础信息
base_info = {
	group_id = 133113007
}

-- Trigger变量
defs = {
	hintTime = 30,
	coinTime = 20,
	maxRegion = 7046,
	challengeId = 2010071,
	galleryId = 33002,
	skillDuration = 10
}

-- DEFS_MISCS
defs_miscs = {
        specialCoinTable = {
        -- 每项格式如下
        [7036] = {7029,7030,7031,7032,7033,7034,7037,7038,7051,7052,7053,7045,7047,7050},
    },
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	[7002] = { config_id = 7002, gadget_id = 70220131, pos = { x = -380.710, y = 229.436, z = -1153.814 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7003] = { config_id = 7003, gadget_id = 70220131, pos = { x = -381.291, y = 229.512, z = -1150.696 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7004] = { config_id = 7004, gadget_id = 70220131, pos = { x = -384.442, y = 229.456, z = -1150.770 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7005] = { config_id = 7005, gadget_id = 70220131, pos = { x = -383.940, y = 229.475, z = -1153.971 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7006] = { config_id = 7006, gadget_id = 70220131, pos = { x = -384.998, y = 224.127, z = -1156.486 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7007] = { config_id = 7007, gadget_id = 70220131, pos = { x = -387.430, y = 223.672, z = -1154.578 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7008] = { config_id = 7008, gadget_id = 70220131, pos = { x = -389.252, y = 223.837, z = -1152.039 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7009] = { config_id = 7009, gadget_id = 70220136, pos = { x = -386.865, y = 222.803, z = -1148.830 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7010] = { config_id = 7010, gadget_id = 70220136, pos = { x = -384.479, y = 222.720, z = -1145.621 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7011] = { config_id = 7011, gadget_id = 70220136, pos = { x = -381.615, y = 222.715, z = -1145.726 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7012] = { config_id = 7012, gadget_id = 70220136, pos = { x = -378.420, y = 222.765, z = -1148.131 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7013] = { config_id = 7013, gadget_id = 70220131, pos = { x = -375.224, y = 223.766, z = -1150.537 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7014] = { config_id = 7014, gadget_id = 70220131, pos = { x = -373.076, y = 221.504, z = -1149.815 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7015] = { config_id = 7015, gadget_id = 70220136, pos = { x = -371.917, y = 217.104, z = -1147.373 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7016] = { config_id = 7016, gadget_id = 70220136, pos = { x = -373.579, y = 218.106, z = -1145.178 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7017] = { config_id = 7017, gadget_id = 70220136, pos = { x = -375.871, y = 218.031, z = -1143.341 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7018] = { config_id = 7018, gadget_id = 70220136, pos = { x = -378.026, y = 217.523, z = -1141.840 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7019] = { config_id = 7019, gadget_id = 70220131, pos = { x = -380.536, y = 216.150, z = -1138.672 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7020] = { config_id = 7020, gadget_id = 70690013, pos = { x = -396.056, y = 207.575, z = -1141.804 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7021] = { config_id = 7021, gadget_id = 70220131, pos = { x = -380.049, y = 212.801, z = -1137.265 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7022] = { config_id = 7022, gadget_id = 70220131, pos = { x = -376.619, y = 214.451, z = -1138.488 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7023] = { config_id = 7023, gadget_id = 70220131, pos = { x = -373.270, y = 215.839, z = -1140.112 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7024] = { config_id = 7024, gadget_id = 70220136, pos = { x = -396.110, y = 208.006, z = -1135.937 }, rot = { x = 359.556, y = 307.274, z = 0.000 }, level = 1, area_id = 7 },
	[7025] = { config_id = 7025, gadget_id = 70220136, pos = { x = -400.089, y = 208.045, z = -1132.909 }, rot = { x = 359.556, y = 306.760, z = 0.000 }, level = 1, area_id = 7 },
	[7026] = { config_id = 7026, gadget_id = 70220131, pos = { x = -416.978, y = 243.963, z = -1126.130 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7027] = { config_id = 7027, gadget_id = 70220131, pos = { x = -415.539, y = 243.963, z = -1126.648 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7028] = { config_id = 7028, gadget_id = 70220131, pos = { x = -415.784, y = 243.963, z = -1125.081 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7029] = { config_id = 7029, gadget_id = 70220131, pos = { x = -418.637, y = 214.644, z = -1126.300 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7030] = { config_id = 7030, gadget_id = 70220131, pos = { x = -420.734, y = 214.644, z = -1128.968 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7031] = { config_id = 7031, gadget_id = 70220131, pos = { x = -416.082, y = 214.644, z = -1123.190 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7032] = { config_id = 7032, gadget_id = 70220131, pos = { x = -414.028, y = 214.644, z = -1120.640 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7033] = { config_id = 7033, gadget_id = 70220131, pos = { x = -418.825, y = 213.631, z = -1131.360 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7034] = { config_id = 7034, gadget_id = 70220131, pos = { x = -416.570, y = 211.848, z = -1131.303 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7035] = { config_id = 7035, gadget_id = 70220136, pos = { x = -404.059, y = 208.083, z = -1129.943 }, rot = { x = -0.002, y = 217.743, z = 0.000 }, level = 1, area_id = 7 },
	[7036] = { config_id = 7036, gadget_id = 70220132, pos = { x = -413.189, y = 211.051, z = -1127.914 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7037] = { config_id = 7037, gadget_id = 70220131, pos = { x = -410.970, y = 211.848, z = -1124.006 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7038] = { config_id = 7038, gadget_id = 70220131, pos = { x = -411.221, y = 213.631, z = -1121.865 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7039] = { config_id = 7039, gadget_id = 70220131, pos = { x = -430.555, y = 224.643, z = -1114.389 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7040] = { config_id = 7040, gadget_id = 70220131, pos = { x = -428.819, y = 224.144, z = -1115.753 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7041] = { config_id = 7041, gadget_id = 70220131, pos = { x = -427.773, y = 223.166, z = -1116.586 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7042] = { config_id = 7042, gadget_id = 70220131, pos = { x = -426.953, y = 221.010, z = -1117.206 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7043] = { config_id = 7043, gadget_id = 70220136, pos = { x = -409.164, y = 208.093, z = -1136.490 }, rot = { x = 359.810, y = 184.087, z = 0.000 }, level = 1, area_id = 7 },
	[7044] = { config_id = 7044, gadget_id = 70220131, pos = { x = -432.301, y = 224.039, z = -1113.179 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7045] = { config_id = 7045, gadget_id = 70220131, pos = { x = -405.027, y = 214.922, z = -1125.357 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7047] = { config_id = 7047, gadget_id = 70220131, pos = { x = -406.091, y = 215.028, z = -1122.315 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7048] = { config_id = 7048, gadget_id = 70220131, pos = { x = -403.279, y = 214.983, z = -1118.573 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7049] = { config_id = 7049, gadget_id = 70220131, pos = { x = -398.970, y = 215.070, z = -1122.191 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7050] = { config_id = 7050, gadget_id = 70220131, pos = { x = -401.870, y = 215.011, z = -1125.924 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7051] = { config_id = 7051, gadget_id = 70220131, pos = { x = -412.473, y = 214.981, z = -1139.574 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7052] = { config_id = 7052, gadget_id = 70220131, pos = { x = -413.908, y = 214.946, z = -1136.858 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7053] = { config_id = 7053, gadget_id = 70220131, pos = { x = -416.737, y = 214.997, z = -1136.209 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7054] = { config_id = 7054, gadget_id = 70220131, pos = { x = -420.131, y = 214.976, z = -1140.415 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7055] = { config_id = 7055, gadget_id = 70220131, pos = { x = -416.164, y = 214.996, z = -1143.663 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[7057] = { config_id = 7057, gadget_id = 70220136, pos = { x = -405.394, y = 208.111, z = -1139.327 }, rot = { x = 359.660, y = 130.628, z = 0.000 }, level = 1, area_id = 7 },
	[7058] = { config_id = 7058, gadget_id = 70220136, pos = { x = -401.383, y = 208.143, z = -1142.833 }, rot = { x = 359.660, y = 130.628, z = 0.000 }, level = 1, area_id = 7 },
	[7059] = { config_id = 7059, gadget_id = 70220131, pos = { x = -374.686, y = 219.122, z = -1144.409 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 }
}

-- 区域
regions = {
	[7046] = { config_id = 7046, shape = RegionShape.SPHERE, radius = 70, pos = { x = -408.637, y = 218.722, z = -1140.162 }, area_id = 7 }
}

-- 触发器
triggers = {
	{ config_id = 1007046, name = "ENTER_REGION_7046", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 7001, pos = { x = -400.010, y = 256.252, z = -1138.176 }, rot = { x = 0.000, y = 308.646, z = 0.000 }, area_id = 7 },
	{ config_id = 7056, pos = { x = -398.019, y = 256.252, z = -1140.244 }, rot = { x = 0.000, y = 137.257, z = 0.000 }, area_id = 7 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 7002, 7003, 7004, 7005, 7006, 7007, 7008, 7009, 7010, 7011, 7012, 7013, 7014, 7015, 7016, 7017, 7018, 7019, 7020, 7021, 7022, 7023, 7024, 7025, 7026, 7027, 7028, 7029, 7030, 7031, 7032, 7033, 7034, 7035, 7036, 7037, 7038, 7039, 7040, 7041, 7042, 7043, 7044, 7045, 7047, 7048, 7049, 7050, 7051, 7052, 7053, 7054, 7055, 7057, 7058, 7059 },
		regions = { 7046 },
		triggers = { "ENTER_REGION_7046" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V3_3/CoinCollect"
